#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned long long i,j,k,l,n,temp,max=0,imax,jmax,p;
    scanf("%llu", &n);
    unsigned long long orig[n], arr[n];
    for(i=0;i<n;i++)
        scanf("%llu", &orig[i]);

    for(i=0;i<n;i++){
        for(j=i;j<n;j++){
            if(i!=j){
                for(k=0;k<n;k++)
                    arr[k]=orig[k];

                temp=arr[i];
                arr[i]=arr[j];
                arr[j]=temp;
                temp=0;

                for(k=0;k<n;k++){
                    p=1;
                    for(l=n-k-1;l>0;l--)
                        p*=10;
                    temp+=arr[k]*p;
                }
                if(max<temp){
                    max=temp;
                    imax=i;
                    jmax=j;
                }
            }
        }
    }
    temp=orig[imax];
    orig[imax]=orig[jmax];
    orig[jmax]=temp;
    for(i=0;i<n;i++)
        printf("%llu ", orig[i]);
        return 0;
}